FORUMS: list search recent posts

need to update the graphics card in my G5 need advce please

COW Forums : Apple OS X

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
Todd George
need to update the graphics card in my G5 need advce please
on Mar 29, 2006 at 2:24:11 pm

Hello all

I have a G5 single processor 1.8ghz powermac with a GeoforceFX 520 AGP graphics card


I just purchased final cut studio and noticed a post on this forum from a user who has the same machine and this person was unable to install the software (my gut tells me they may have run into trouble with just motion but I am not sure)

anyway according to apple's site my graphics card is not supported by Motion 2 ( a whole issue to grumble about in an of itself) so the question is where do I find out what graphics cards my machine can use that will support motion2

my instinct is to head over to the Apple store in town and have word with them but I want to go in the door an informed consumer (and no disrespect but the Apple store here in Cleveland isn't really geared towards people who "work" with their computers my experience with the store is if you are getting something for your home the staff is more than able to help you

I checked crucial.com but their graphics card section is geared towards pc's

I don't need it right away as I have a powerbook g4 1.67ghz and it's graphic card appears to make the cut (at least according to Apple's site) and I do have 2 new imacs at work both of which will support Motion2 but I don't want to hang around the job any longer than I need to (as you may all be able to relate an open office door translates into "you can help me solve my problem) so if the power book works out then I am ok for a few weeks and I can research cards and vendors

thanks for any help on this

by the way this is a list of the software I use

FCP4.5x
DVDSP 3x
Motion1x

all of this will be upgraded in a few days

Lightwave8.5x
Combustion3x
CLeaner6.5

take care


Return to posts index

Simon Carlson-Thies
Re: need to update the graphics card in my G5 need advce please
on Mar 29, 2006 at 3:21:17 pm

http://www.apple.com/finalcutstudio/#SysReq check out this link that should tell you what you need to know. Motion is going to be your biggest problem since it only runs well on a highend mac, so whatever graphics card you get make sure you get a pretty highend one. Of course the thing to keep in mind is that you have an AGP not PCIe slot so this will limit your options but yu should be able to get a card that more then meets the requirements.

If you give some idea of the price range you looking at that will make it easier to give you advice on which card you should get, if thats what you are looking for

hope this helps

Simon Carlson-Thies,
Digital Light Graphics And Animation


Return to posts index

Todd George
Re: need to update the graphics card in my G5 need advce please
on Mar 29, 2006 at 3:34:20 pm

Thank you Simon
for what it's worth I teach at a community college so we have good equipment but it's never going to be the best of the best to begin with so for me at home really I just need a card that will allow me to work with the software so I can go through a few step and complete a project so that while I am in class I'm not discovering things as we go

so as far as price goes I woud like to saty under $200 if possible because I'll most likely upgrade to a dual core mac sometime in 2007 anyway

take care and thank you

Todd George
Instructional Media Services
John Carroll University
University Heights, OH 44118


Return to posts index


Simon Carlson-Thies
Re: need to update the graphics card in my G5 need advce please
on Mar 29, 2006 at 3:45:34 pm

Check out ATI clearence center you should be able to find what you need without spending a lot of money on it.

http://shop.ati.com/searchresults.asp?dept_id=39

best of luck

Simon Carlson-Thies,
Digital Light Graphics And Animation


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]